Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List customer attachments

GET/workspaces/{organizationId}/customers/{id}/attachments
Path parameters
organizationIdstringrequired
idstringrequired
Responses
200

Customer attachments

attachmentsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
customerIdstringrequired
fileNamestringrequired
contentTypestringrequired
sizeintegerrequired
r2Keystringrequired
urlstringrequired
bookingUrlstring | null
notesstring | null
createdByIdstring | nullrequired
createdAtstringrequired
404

Customer not found

Try it
Server
Parameters
Request
curl -X GET '/workspaces/string/customers/string/attachments'
Response
{
  "attachments": [
    {
      "id": "string",
      "organizationId": "string",
      "customerId": "string",
      "fileName": "string",
      "contentType": "string",
      "size": 0,
      "r2Key": "string",
      "url": "string",
      "bookingUrl": "string",
      "notes": "string",
      "createdById": "string",
      "createdAt": "string"
    }
  ]
}